Skip to main content
POST
/
item
/
bulk_assign
Item - Bulk Assign
curl --request POST \
  --url https://api.skulabs.com/item/bulk_assign \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "item_ids": [
    "<string>"
  ],
  "warehouse_id": "<string>",
  "name": "<string>",
  "location_alias": "<string>"
}
'
{
  "success": true,
  "errors": [
    {
      "message": "<string>"
    }
  ],
  "skulabs_warning": {
    "message": "<string>",
    "overview": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
item_ids
string[]
required

Array of item IDs to assign

warehouse_id
string
required

Target warehouse ID

name
string
required

Location name

location_alias
string

Location alias / bin name

Response

Items assigned to location

success
boolean
required

Whether the operation succeeded

errors
object[]

Errors encountered during assignment

skulabs_warning
object

Non-fatal warning summary